Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.xfire.annotations.backport175
Interface WebService

    public interface WebService

backport175 version of the WebService Annotation.

Author:
  Arjen Poutsma
See Also:
  `WebServiceAnnotation`

Method Summary
`java.lang.String` | `endpointInterface()` Returns the complete name of the service endpoint interface defining the serviceÕs abstract Web Service contract.
`java.lang.String` | `name()` Returns the name of the Web Service.
`java.lang.String` | `serviceName()` Returns the service name of the Web Service.
`java.lang.String` | `targetNamespace()` Returns the XML namespace used for the WSDL and XML elements generated from this Web Service.

Method Detail

### endpointInterface

    java.lang.String endpointInterface()

  Returns the complete name of the service endpoint interface defining the serviceÕs abstract Web Service contract.

  Returns:
    the name of the service endpoint interface.

### name

    java.lang.String name()

  Returns the name of the Web Service. Used as the name of the wsdl:portType when mapped to WSDL 1.1. Defaults to the simple name of the Java class or interface.

  Returns:
    the name of the Web Service.

### serviceName

    java.lang.String serviceName()

  Returns the service name of the Web Service. Used as the name of the wsdl:service when mapped to WSDL 1.1. Not allowed on interfaces. Defaults to the simple name of the Java class + ÒService".

  Returns:
    the service name of the Web Service.

### targetNamespace

    java.lang.String targetNamespace()

  Returns the XML namespace used for the WSDL and XML elements generated from this Web Service.

  Returns:
    the XML namespace used.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Codehaus. All Rights Reserved.